Changeset 228


Ignore:
Timestamp:
Jan 18, 2007, 5:08:28 PM (15 years ago)
Author:
Jari Häkkinen
Message:

Fixes #44.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/se/lu/thep/affymetrix/INSTALL

    r189 r228  
    3030
    31310. Introduction
     32
     33Short intro:
     34
     35The route for successful first time installation of this plug-in is
     36a) Install the plug-in.
     37b) Install wxWidgets.
     38c) Install RMAExpressConsole.
     39d) Make BASE aware of the new plug-in.
     40
     41Upgrading the plug-in is even easier, see item 7) below.
     42
     43Longer intro:
    3244
    3345There are two supported ways to install the RMAExpress plug-in, you
     
    5870
    5971i) Pre-requisite for both all install options:
    60 This plug-in will only work with BASE 2.0 (revision 2512) or later,
    61 i.e. BASE 1.2.x is not (and will never be) supported.
     72This plug-in will only work with BASE 2.0 or later, i.e. BASE 1.2.x is
     73not (and will never be) supported.
    6274
    6375ii) Pre-requisite for both binary package and subversion tree
     
    7183wxWidgets (a.k.a. wxWindows) is installed on your system. wxWidgets is
    7284found at http://www.wxwidgets.org. The compilation of
    73 RMAExpressConsole is not completely trivial, but after some tweaking
    74 it has been successfully compiled on Mac OS X (v10.4.7) running on a
    75 G4, and SuSE Linux (v10).
     85RMAExpressConsole is straightforward (at least on OpenSuSE 10.2 and
     86MacOSX 10.4.8). Download v0.5alpha7, unpack and issue 'make'. This
     87will compile RMAExpressConsole and som other binaries which are of no
     88interest here.
    7689
    7790You should install the RMAExpressConsole binary such that it is
     
    8194are hard coded in the plug-in.
    8295
    83 Install of the plug-in will succeed even if this requisite is not
    84 fulfilled, but execution of the plug-in will fail.
     96Install of the BASE plug-in will succeed even if this requisite is not
     97fulfilled, but execution of the plug-in within BASE will fail.
    8598
    8699iii) Pre-requisite for subversion tree compilation:
    87100Compile time access to BASE core jar file.
    88101
    89 The BASE2Core.jar (must be later than subversion revision 2512) file
    90 in use by the server running the BASE web application.
     102The BASE2Core.jar (from BASE 2.0 and later) file in use by the server
     103running the BASE web application.
    91104
    92105
Note: See TracChangeset for help on using the changeset viewer.